Bug 1956829 (CVE-2020-36328) - CVE-2020-36328 libwebp: heap-based buffer overflow in WebPDecode*Into functions
Summary: CVE-2020-36328 libwebp: heap-based buffer overflow in WebPDecode*Into functions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-36328
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1961979 1962004 1962005 1960221 1960222 1960223 1960224 1960225 1960226 1961745 1961978 2048286
Blocks: 1940150 1956995
TreeView+ depends on / blocked
 
Reported: 2021-05-04 13:59 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:20 UTC (History)
9 users (show)

Fixed In Version: libwebp 1.0.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in libwebp. A heap-based buffer overflow in functions WebPDecode*Into is possible due to an invalid check for buffer size. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-06-07 15:03:56 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2260 0 None None None 2021-06-07 12:18:18 UTC
Red Hat Product Errata RHSA-2021:2328 0 None None None 2021-06-08 22:38:17 UTC
Red Hat Product Errata RHSA-2021:2354 0 None None None 2021-06-09 00:25:47 UTC
Red Hat Product Errata RHSA-2021:2364 0 None None None 2021-06-09 13:51:03 UTC
Red Hat Product Errata RHSA-2021:2365 0 None None None 2021-06-09 13:32:27 UTC

Description Guilherme de Almeida Suckevicz 2021-05-04 13:59:01 UTC
A heap-based buffer overflow was found in libwebp in versions before 1.0.1 in WebPDecode*Into functions.

Reference:
https://bugs.chromium.org/p/webp/issues/detail?id=383

Comment 5 Riccardo Schirone 2021-05-17 10:47:48 UTC
Upstream release notes:
https://chromium.googlesource.com/webm/libwebp/+/v1.0.1

Comment 10 errata-xmlrpc 2021-06-07 12:18:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2260 https://access.redhat.com/errata/RHSA-2021:2260

Comment 11 Product Security DevOps Team 2021-06-07 15:03:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-36328

Comment 12 errata-xmlrpc 2021-06-08 22:38:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:2328 https://access.redhat.com/errata/RHSA-2021:2328

Comment 13 errata-xmlrpc 2021-06-09 00:25:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2354 https://access.redhat.com/errata/RHSA-2021:2354

Comment 14 errata-xmlrpc 2021-06-09 13:32:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:2365 https://access.redhat.com/errata/RHSA-2021:2365

Comment 15 errata-xmlrpc 2021-06-09 13:51:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2364 https://access.redhat.com/errata/RHSA-2021:2364


Note You need to log in before you can comment on or make changes to this bug.